Index: test/edu/ucsb/nceas/workflowschedulertest/WorkflowSchedulerTest.java
===================================================================
--- test/edu/ucsb/nceas/workflowschedulertest/WorkflowSchedulerTest.java	(revision 5138)
+++ test/edu/ucsb/nceas/workflowschedulertest/WorkflowSchedulerTest.java	(revision 5139)
@@ -25,6 +25,7 @@
  */
 package edu.ucsb.nceas.workflowschedulertest;
 
+import java.io.IOException;
 import java.io.StringReader;
 import java.util.Hashtable;
 
@@ -34,6 +35,8 @@
 import org.xml.sax.InputSource;
 
 import edu.ucsb.nceas.MCTestCase;
+import edu.ucsb.nceas.metacat.client.MetacatAuthException;
+import edu.ucsb.nceas.metacat.client.MetacatInaccessibleException;
 import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
@@ -48,17 +51,22 @@
  */
 public class WorkflowSchedulerTest extends MCTestCase {
 	// Constants
+	private static String docId = null;
+	private static String dataDocId = null;
+	private static String sessionId = null;
 	private static String workflowJobName;
 	private static String workflowSchedulerUrl;
 	private static XPathFactory xPathFactory = null;
 	
-	private static final String WORKFLOW_ID = "urn:lsid:gamma.msi.ucsb.edu/OpenAuth/:423:379:29";
-	private static final String KAR_ID = "urn:lsid:gamma.msi.ucsb.edu/OpenAuth/:423:715:1";
+	private static final String WORKFLOW_ID_BASE = "urn:lsid:gamma.msi.ucsb.edu/OpenAuth/:";
+	private static String WORKFLOW_ID = null;
+	private static final String KAR_ID_BASE = "urn:lsid:gamma.msi.ucsb.edu/OpenAuth/:";
+	private static String KAR_ID = null;
 	private static final String WORKFLOW_NAME = "tpc02-water-flow-base";
 	private static final String START_TIME = "10/10/2008 10:10:10";
 	private static final String END_TIME = "10/10/2009 10:10:10";
 	private static final String INTERVAL_VALUE = "100";
-	private static final String INTERVAL_UNIT = "s";
+	private static final String INTERVAL_UNIT = "min";
 
 	static {
 		try {
@@ -85,7 +93,64 @@
 		xPathFactory = XPathFactory.newInstance();
 
 	}
+	
+	/**
+	 * Establish a testing framework by initializing appropriate objects
+	 */
+	public void setUp() throws Exception {
+		metacatConnectionNeeded = true;
+		
+		super.setUp();	
+		//debug("session id: " + sessionId);
+		//debug("doc id: " + docId);
+		//debug("data doc id: " + dataDocId);
+		
+		try {
+			if (sessionId == null) {
+				String loginResult = m.login(username, password);
+				//debug("WorkflowSchedulerTest.initialize - login result: " + loginResult);
+				if (loginResult.contains("<sessionId>")) {
+					int startIndex = loginResult.indexOf("<sessionId>") + 11;
+					int endIndex = loginResult.indexOf("</sessionId>");
+					sessionId = loginResult.substring(startIndex, endIndex);
+					//debug("WorkflowSchedulerTest.initialize - session id: " + sessionId);
+				} else {
+					fail("could not get session ID from login results");
+				}
+			}
 
+			if (docId == null) {
+				// insert a document for us to test with
+				docId = generateDocumentId() + ".1";
+
+				String testDoc = 
+					getTestDocFromFile(testdatadir + "tpc02-water-flow-base.xml");
+				// debug("test doc: " + testDoc);
+				insertDocumentId(docId, testDoc, SUCCESS, false);
+
+				WORKFLOW_ID = WORKFLOW_ID_BASE + docId.replace('.', ':');
+			}
+			
+			if (dataDocId == null) {
+				// insert a data document (kar file) for us to test with
+				dataDocId = generateDocumentId() + ".1";
+
+				String filePath = testdatadir + "888.42.1-tpc02-water-flow-base-10.kar";
+				// debug("test doc: " + testDoc);
+				uploadDocumentId(dataDocId, filePath, SUCCESS, false);
+
+				KAR_ID = KAR_ID_BASE + dataDocId.replace('.', ':');
+			}
+		} catch (IOException ioe) {
+			fail("WorkflowSchedulerTest.initialize - I/O exception: " + ioe.getMessage());
+		} catch (MetacatInaccessibleException mie) {
+			fail("WorkflowSchedulerTest.initialize - Metacat Inaccessible: " + mie.getMessage());
+		} catch (MetacatAuthException mae) {
+			fail("WorkflowSchedulerTest.initialize - Metacat auth issue: " + mae.getMessage());
+		}	
+
+	}
+
 	/**
 	 * Create a suite of tests to be run together
 	 */
@@ -108,8 +173,7 @@
 	}
     
     public void scheduleJobTest() {
-		try {
-			
+		try {	
 			Hashtable<String, String[]> params = new Hashtable<String, String[]>();
 
 			params.put("action", new String[] { "scheduleWorkflow" });
@@ -122,6 +186,7 @@
 			params.put("endtime", new String[] { END_TIME });
 			params.put("intervalvalue", new String[] { INTERVAL_VALUE });
 			params.put("intervalunit", new String[] { INTERVAL_UNIT });	
+			params.put("sessionid", new String[] { sessionId });
 
 			String schedulerResponse = RequestUtil.get(workflowSchedulerUrl, params);
 			debug("WorkflowSchedulerTest.scheduleJobTest - response: " + schedulerResponse);
@@ -158,6 +223,16 @@
     
     public void unscheduleJobTest() {
 		try {
+			String loginResult = m.login(username, password);
+			String sessionId = null;
+			if (loginResult.contains("<sessionId>")) {
+				int startIndex = loginResult.indexOf("<sessionId>") + 11;
+				int endIndex = loginResult.indexOf("</sessionId>");
+				sessionId = loginResult.substring(startIndex, endIndex);
+			} else {
+				fail("could not get session ID from login results");
+			}
+			
 			Hashtable<String, String[]> params = new Hashtable<String, String[]>();
 
 			params.put("action", new String[] { "unscheduleWorkflow" });
@@ -164,6 +239,7 @@
 			params.put("workflowjobname", new String[] { workflowJobName });
 			params.put("workflowid", new String[] { WORKFLOW_ID });
 			params.put("workflowname", new String[] { "tpc02-water-flow-base" });
+			params.put("sessionid", new String[] { sessionId });
 
 			String schedulerResponse = RequestUtil.get(workflowSchedulerUrl, params);
 			debug("WorkflowSchedulerTest.unScheduleJobTest - response: " + schedulerResponse);
@@ -195,6 +271,16 @@
     
     public void rescheduleJobTest() {
 		try {
+			String loginResult = m.login(username, password);
+			String sessionId = null;
+			if (loginResult.contains("<sessionId>")) {
+				int startIndex = loginResult.indexOf("<sessionId>") + 11;
+				int endIndex = loginResult.indexOf("</sessionId>");
+				sessionId = loginResult.substring(startIndex, endIndex);
+			} else {
+				fail("could not get session ID from login results");
+			}
+			
 			Hashtable<String, String[]> params = new Hashtable<String, String[]>();
 
 			params.put("action", new String[] { "rescheduleWorkflow" });
@@ -202,6 +288,7 @@
 			params.put("workflowid",
 					new String[] { WORKFLOW_ID });
 			params.put("workflowname", new String[] { "tpc02-water-flow-base" });
+			params.put("sessionid", new String[] { sessionId });
 
 			String schedulerResponse = RequestUtil.get(workflowSchedulerUrl, params);
 			debug("WorkflowSchedulerTest.reScheduleJobTest - response: " + schedulerResponse);
@@ -233,10 +320,21 @@
     
     public void deleteJobTest() {
 		try {
+			String loginResult = m.login(username, password);
+			String sessionId = null;
+			if (loginResult.contains("<sessionId>")) {
+				int startIndex = loginResult.indexOf("<sessionId>") + 11;
+				int endIndex = loginResult.indexOf("</sessionId>");
+				sessionId = loginResult.substring(startIndex, endIndex);
+			} else {
+				fail("could not get session ID from login results");
+			}
+			
 			Hashtable<String, String[]> params = new Hashtable<String, String[]>();
 
 			params.put("action", new String[] { "deleteScheduledWorkflow" });
 			params.put("workflowjobname", new String[] { workflowJobName });
+			params.put("sessionid", new String[] { sessionId });
 
 			String schedulerResponse = RequestUtil.get(workflowSchedulerUrl, params);
 			debug("WorkflowSchedulerTest.deleteJobTest - response: " + schedulerResponse);
Index: test/edu/ucsb/nceas/MCTestCase.java
===================================================================
--- test/edu/ucsb/nceas/MCTestCase.java	(revision 5138)
+++ test/edu/ucsb/nceas/MCTestCase.java	(revision 5139)
@@ -82,6 +82,7 @@
 	protected static final String ALLOWFIRST = "allowFirst";
 	protected static final String DENYFIRST = "denyFirst";
 	
+	protected String testdatadir = "test/clienttestfiles/";
 	protected String prefix = "test";
 	protected String testdocument = "";
 	
@@ -400,9 +401,10 @@
 	 */
 	protected void setUp() throws Exception {
 		try {
-			if (metacatConnectionNeeded)
-			debug("setUp() - Testing Metacat Url: " + metacatUrl);
-			m = MetacatFactory.createMetacatConnection(metacatUrl);
+			if (metacatConnectionNeeded) {
+				debug("setUp() - Testing Metacat Url: " + metacatUrl);
+				m = MetacatFactory.createMetacatConnection(metacatUrl);
+			}
 		} catch (MetacatInaccessibleException mie) {
 			System.err.println("Metacat is: " + metacatUrl);
 			fail("Metacat connection failed." + mie.getMessage());
Index: test/edu/ucsb/nceas/metacattest/AccessAPITest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/AccessAPITest.java	(revision 5138)
+++ test/edu/ucsb/nceas/metacattest/AccessAPITest.java	(revision 5139)
@@ -60,8 +60,6 @@
  */
 public class AccessAPITest extends MCTestCase {
 
-	private String testdatadir = "test/clienttestfiles/";
-
 	/**
 	 * Constructor to build the test
 	 * 
Index: src/edu/ucsb/nceas/metacat/scheduler/SchedulerService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/scheduler/SchedulerService.java	(revision 5138)
+++ src/edu/ucsb/nceas/metacat/scheduler/SchedulerService.java	(revision 5139)
@@ -683,7 +683,7 @@
 			scheduleMonthlyJob(jobName, jobClass, startCal, endCal, intervalValue, jobGroup, jobDetail);
 		} else {
 			throw new ServiceException("SchedulerService.scheduleJob - Could not interpret interval unit: " 
-					+ intervalUnit + ". Unit must be s, m, h or d");	
+					+ intervalUnit + ". Unit must be sec, min, hour, day, week or mon");	
 		}	
 	}
 	
